@echo off

for %%a in (".") do set CURRENT_DIR_NAME=%%~na

SET file =.\Projects\STM324xG_EVAL\Applications\LwIP\LabSpirt\MDK-ARM\LabSpirt_files\Ins\ver.h

echo #include "main.h" >.\Projects\STM324xG_EVAL\Applications\LwIP\LabSpirt\MDK-ARM\LabSpirt_files\Ins\ver.h
echo #ifndef __VER_H >>.\Projects\STM324xG_EVAL\Applications\LwIP\LabSpirt\MDK-ARM\LabSpirt_files\Ins\ver.h
echo #define __VER_H >>.\Projects\STM324xG_EVAL\Applications\LwIP\LabSpirt\MDK-ARM\LabSpirt_files\Ins\ver.h
echo #define ver "%CURRENT_DIR_NAME%" >>.\Projects\STM324xG_EVAL\Applications\LwIP\LabSpirt\MDK-ARM\LabSpirt_files\Ins\ver.h
echo #define ver_data "%DATE%" >>.\Projects\STM324xG_EVAL\Applications\LwIP\LabSpirt\MDK-ARM\LabSpirt_files\Ins\ver.h
echo #endif /* __VER_H */ >>.\Projects\STM324xG_EVAL\Applications\LwIP\LabSpirt\MDK-ARM\LabSpirt_files\Ins\ver.h


start C:\Keil_v5\UV4\UV4.exe .\Projects\STM324xG_EVAL\Applications\LwIP\LabSpirt\MDK-ARM\Project.uvprojx
